Welcome, guest! Please login or register.

    * Shoutbox

    RefreshHistory
    • stCky: idk man im just a chat bot
      August 22, 2017, 11:14:52 PM
    • symantec: is this forum
      August 22, 2017, 09:02:56 PM
    • symantec: what the fudge
      August 22, 2017, 09:02:52 PM
    • symantec: I just joined to download datmaker, the links are broken and a user named i nelson i has a fudgeing weird signature
      August 22, 2017, 08:59:33 PM
    • stCky: ur so cool and edgy
      August 22, 2017, 04:15:50 PM
    • Deathspirit: anyways, i'm un ip banned now.. but don't even want to be that at this point lmfao
      August 22, 2017, 01:58:14 PM
    • Deathspirit: now it's some sell out half leeched server :')
      August 22, 2017, 01:57:53 PM
    • Deathspirit: gf moparscape, was the best rsps community i've been on since 2006
      August 22, 2017, 01:57:31 PM
    • stCky: yeah, nah. it's cooked. [link] might help u with a backup or something idk man im just a chat bot
      August 22, 2017, 12:13:25 AM
    • flew420: I sure hope someone has a copy of the forum before it was recked
      August 21, 2017, 11:40:52 PM
    • flew420: O wow i see now, just read thru all the news articles. :(  i've been out of the game for a couple years so coming back to this shit is sad.
      August 21, 2017, 11:39:46 PM
    • flew420: Huh?
      August 21, 2017, 10:49:51 PM
    • stCky: got bought by a russian dude, he put a shitty rsps on it for donations, now no one cares
      August 21, 2017, 10:48:30 PM
    • flew420: I came on for some nostalgic reading in old classic development, and it only goes back to 2014 wtf.
      August 21, 2017, 10:43:09 PM
    • flew420: what happened to this site??
      August 21, 2017, 10:42:36 PM
    • Sean56:[link]
      August 21, 2017, 05:33:45 PM
    • kb010: how can i play? i downloaded the client and it doesnt open.
      August 21, 2017, 10:52:56 AM
    • wodkode: shut it down or fix it
      August 20, 2017, 10:11:28 PM
    • wodkode: dude i cant goto no links on here from google
      August 20, 2017, 10:11:13 PM
    • Dell: Greetings
      August 20, 2017, 11:56:30 AM

    Author Topic: OSRS (Argon modified) l Amazing! l Full construction l Cannon l Stable  (Read 8325 times)

    0 Members and 1 Guest are viewing this topic.

    Offlinehaviland4

    • Member
    • ****
    • Posts: 366
    • Thanks: +0/-0
      • View Profile
      • Rune-X-Scape3
    How come I can rune other servers but not this one? smartass

    probably because your not using eclipse.   :palm::palm:


    OfflineOnur-163

    • Member
    • **
    • Posts: 28
    • Thanks: +0/-0
      • View Profile
    I am...
    Quote
    Exception in thread "main" java.lang.UnsupportedClassVersionError: com/Server : Unsupported major.minor version 52.0
       at java.lang.ClassLoader.defineClass1(Native Method)
       at java.lang.ClassLoader.defineClass(Unknown Source)
       at java.security.SecureClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.access$100(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)
    « Last Edit: May 30, 2015, 10:46:05 AM by Onur-163 »


    Offlinehaviland4

    • Member
    • ****
    • Posts: 366
    • Thanks: +0/-0
      • View Profile
      • Rune-X-Scape3
    I am...
    Quote
    Exception in thread "main" java.lang.UnsupportedClassVersionError: com/Server : Unsupported major.minor version 52.0
       at java.lang.ClassLoader.defineClass1(Native Method)
       at java.lang.ClassLoader.defineClass(Unknown Source)
       at java.security.SecureClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.access$100(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

    Download the updated version from the thread and import the source and client into the eclipse

    Unknown source....   

    I will upload the cache for everyone now as i recreated a v3 cache system  ;D

    Skype: icy-tank

    OfflineOnur-163

    • Member
    • **
    • Posts: 28
    • Thanks: +0/-0
      • View Profile
    Already download the latest.. Can you read my error?  :palm:

    Quote
    Exception in thread "main" java.lang.UnsupportedClassVersionError: com/Server : Unsupported major.minor version 52.0
       at java.lang.ClassLoader.defineClass1(Native Method)
       at java.lang.ClassLoader.defineClass(Unknown Source)
       at java.security.SecureClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.access$100(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

    Offlinehaviland4

    • Member
    • ****
    • Posts: 366
    • Thanks: +0/-0
      • View Profile
      • Rune-X-Scape3
    Already download the latest.. Can you read my error?  :palm:

    Quote
    Exception in thread "main" java.lang.UnsupportedClassVersionError: com/Server : Unsupported major.minor version 52.0
       at java.lang.ClassLoader.defineClass1(Native Method)
       at java.lang.ClassLoader.defineClass(Unknown Source)
       at java.security.SecureClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.access$100(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

    You are trying to run a jar compiled with a newer Java version in an older Java version.   :palm:

    « Last Edit: May 30, 2015, 10:55:00 AM by haviland4 »

    OfflineOnur-163

    • Member
    • **
    • Posts: 28
    • Thanks: +0/-0
      • View Profile
    What? Whatever how do I fix this.. :confused::confused::confused:

    Offlinehaviland4

    • Member
    • ****
    • Posts: 366
    • Thanks: +0/-0
      • View Profile
      • Rune-X-Scape3
    I am...
    Quote
    Exception in thread "main" java.lang.UnsupportedClassVersionError: com/Server : Unsupported major.minor version 52.0
       at java.lang.ClassLoader.defineClass1(Native Method)
       at java.lang.ClassLoader.defineClass(Unknown Source)
       at java.security.SecureClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.access$100(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

    java.lang.UnsupportedClassVersionError happens because of a higher JDK during compile time and lower JDK during runtime.

    OfflineOnur-163

    • Member
    • **
    • Posts: 28
    • Thanks: +0/-0
      • View Profile
    SOO HOW. DO. I. FIX. THIS. Do you understand what I just replied?  :confused::confused::confused:

    Offlinehaviland4

    • Member
    • ****
    • Posts: 366
    • Thanks: +0/-0
      • View Profile
      • Rune-X-Scape3
    SOO HOW. DO. I. FIX. THIS. Do you understand what I just replied?  :confused::confused::confused:

    java -version on command prompt

    Copy your command prompt reply here  :cool:

    OfflineOnur-163

    • Member
    • **
    • Posts: 28
    • Thanks: +0/-0
      • View Profile
    I'm running on eclipse what do you mean with command prompt???? I already showed you the error...

    Offlinehaviland4

    • Member
    • ****
    • Posts: 366
    • Thanks: +0/-0
      • View Profile
      • Rune-X-Scape3
    I'm running on eclipse what do you mean with command prompt???? I already showed you the error...


    Click your windows start button or on windows 8 search for cmd

    type in java -version

    Paste me your cmd reply  :cool:

    Change these settings to your computer settings  :)

    Launch Eclipse.app
    Choose Eclipse -> Preferences
    Choose Java -> Installed JREs
    Click the Add... button
    Choose MacOS X VM or Windows as the JRE type. Press Next.
     Example:In the "JRE Home:" field, type /Library/Java/JavaVirtualMachines/1.7.0.jdk/Contents/Home   
    You should see the system libraries in the list titled "JRE system libraries:"
    Give the JRE a name. The recommended name is JDK 1.7. Click Finish.
    Check the checkbox next to the JRE entry you just created. This will cause Eclipse to use it as the default JRE for all new Java projects. Click OK.
    Now, create a new project. For this verification, from the menu, select File -> New -> Java Project.
    In the dialog that appears, enter a new name for your project. For this verification, type Test17Project
    In the JRE section of the dialog, select Use default JRE (currently JDK 1.7)
    Click Finish.
    « Last Edit: May 30, 2015, 11:17:50 AM by haviland4 »

    OfflineOnur-163

    • Member
    • **
    • Posts: 28
    • Thanks: +0/-0
      • View Profile
    1.8.0_45

    soooo???
    « Last Edit: May 30, 2015, 11:10:33 AM by Onur-163 »

    Offlinehaviland4

    • Member
    • ****
    • Posts: 366
    • Thanks: +0/-0
      • View Profile
      • Rune-X-Scape3
    1.8.0_45

    soooo???

    I have found you all the solutions for this error with these solutions i could probably fix your error within 5 minutes

    follow all my information and you should be fine  :)

    OfflineOnur-163

    • Member
    • **
    • Posts: 28
    • Thanks: +0/-0
      • View Profile
    what information? the one you googled and gave me a MacOS version?  :palm::confused:

    Offlinehaviland4

    • Member
    • ****
    • Posts: 366
    • Thanks: +0/-0
      • View Profile
      • Rune-X-Scape3
    what information? the one you googled and gave me a MacOS version?  :palm::confused:

    Google probably would find you all the answers to this error

    Wouldn't take more then a couple of seconds to change there default settings from there computer configurations to yours

    Working on a windows batch file system for users like yourself anyway.  Deleted  :P
    « Last Edit: May 30, 2015, 11:59:36 AM by haviland4 »

    OfflineBellend

    • Member
    • ***
    • Posts: 182
    • Thanks: +0/-0
      • View Profile
    I am...
    Quote
    Exception in thread "main" java.lang.UnsupportedClassVersionError: com/Server : Unsupported major.minor version 52.0
       at java.lang.ClassLoader.defineClass1(Native Method)
       at java.lang.ClassLoader.defineClass(Unknown Source)
       at java.security.SecureClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.access$100(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

    Download the updated version from the thread and import the source and client into the eclipse

    Unknown source....   

    I will upload the cache for everyone now as i recreated a v3 cache system  ;D

    Skype: icy-tank

    Like I said, you dont know how to use JVM, you dont know the errors. The fact that you can run other servers just means they've made it a simple process of not needing to understand Java.
    Im not because thats called leeching. Stop being a 12 year old little scrub and learn something.

    Its amazing how other people can get it to work. (indicating youre just a fu*king retard.)
    Somebody's watching me :)

    Offlinehaviland4

    • Member
    • ****
    • Posts: 366
    • Thanks: +0/-0
      • View Profile
      • Rune-X-Scape3
    Dumbass faggot if you know something then why don't you tell? I'm not a good coder does that mean you cant help me? bitch ass idiot

    Hope you enjoy argon it's an amazing server onur  :rolleyes:

    Offlinesk8rdude461

    • MOPARSCAPE WAS HACKED
    • Member
    • ****
    • *
    • Posts: 12,471
    • Thanks: +0/-0
      • View Profile
    Already download the latest.. Can you read my error?  :palm:

    Quote
    Exception in thread "main" java.lang.UnsupportedClassVersionError: com/Server : Unsupported major.minor version 52.0
       at java.lang.ClassLoader.defineClass1(Native Method)
       at java.lang.ClassLoader.defineClass(Unknown Source)
       at java.security.SecureClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.access$100(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

    You are trying to run a jar compiled with a newer Java version in an older Java version.   :palm:


    In eclipse to fix the major minor error you need to change eclipses project settings, and then rebuild the project.

    Right click the project. Hover "Build Path". In the tree that shows up, click "Configure Build Path..."
    Click on "Java Compiler" in the tree that will be in the new window.

    If it is all grayed out, you need to click "Configure Workspace Settings" at the top of the window.
    If it is not grayed out, make sure the compliance levels are set to 1.8
    If you clicked the blue workspace settings text, it'll open almost an exact replica of the window you were just in, but filtered to only show the compiler settings for the workspace. Again, make sure the compliance level is set to 1.8

    To rebuild the project:
    Select the project from the package explorer.
    Click on "Project" in the file bar.
    Click "Clean..."
    A window will pop up asking you to confirm what projects you're cleaning. If the ones you want cleaned are selected, press okay, otherwise select them and press okay.

    Should be good to go then.

    Offlinehaviland4

    • Member
    • ****
    • Posts: 366
    • Thanks: +0/-0
      • View Profile
      • Rune-X-Scape3
    I'm happy to support anyone with issues  ;)

    OfflineOnur-163

    • Member
    • **
    • Posts: 28
    • Thanks: +0/-0
      • View Profile
    Already download the latest.. Can you read my error?  :palm:

    Quote
    Exception in thread "main" java.lang.UnsupportedClassVersionError: com/Server : Unsupported major.minor version 52.0
       at java.lang.ClassLoader.defineClass1(Native Method)
       at java.lang.ClassLoader.defineClass(Unknown Source)
       at java.security.SecureClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.access$100(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

    You are trying to run a jar compiled with a newer Java version in an older Java version.   :palm:


    In eclipse to fix the major minor error you need to change eclipses project settings, and then rebuild the project.

    Right click the project. Hover "Build Path". In the tree that shows up, click "Configure Build Path..."
    Click on "Java Compiler" in the tree that will be in the new window.

    If it is all grayed out, you need to click "Configure Workspace Settings" at the top of the window.
    If it is not grayed out, make sure the compliance levels are set to 1.8
    If you clicked the blue workspace settings text, it'll open almost an exact replica of the window you were just in, but filtered to only show the compiler settings for the workspace. Again, make sure the compliance level is set to 1.8

    To rebuild the project:
    Select the project from the package explorer.
    Click on "Project" in the file bar.
    Click "Clean..."
    A window will pop up asking you to confirm what projects you're cleaning. If the ones you want cleaned are selected, press okay, otherwise select them and press okay.

    Should be good to go then.

    Thanks man I'll try this and let you know if it helped oh and ignore that runtflap thinks his cool cause he reads java lmao

    EDIT: I did everything you said it worked but I still have the exact same error when running the source :S

    EDIT 2: Worked now thanks man no one helped me like you, hope someone helps you hen you need it!
    « Last Edit: May 30, 2015, 05:20:08 PM by Onur-163 »

     

    Copyright © 2017 MoparScape. All rights reserved.
    Powered by SMFPacks SEO Pro Mod |
    SimplePortal 2.3.5 © 2008-2012, SimplePortal